## colibri 0.1.1

=== CMakeLists.txt ===
project(colibri)
cmake_minimum_required(VERSION 2.6)
set(PROJECT_VERSION "0.1.1")

set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
add_custom_target(dist
    COMMAND git archive --prefix=${ARCHIVE_NAME}/ HEAD
    | bzip2 > ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

find_package(KDE4 REQUIRED)
include (KDE4Defaults)

include_directories(${KDE4_INCLUDES} ${QT_INCLUDES})

add_subdirectory(app)
add_subdirectory(kcm)

=== app/CMakeLists.txt ===
# for dbus_add_activation_service
include(PkgConfigGetVar)

set(colibri_SRCS
    main.cpp
    notificationmanager.cpp
    notificationwidget.cpp
)

dbus_add_activation_service(org.freedesktop.Notifications.service.in)

qt4_add_dbus_adaptor(colibri_SRCS org.freedesktop.Notifications.xml
    notificationmanager.h Colibri::NotificationManager)

kde4_add_kcfg_files(colibri_SRCS
    config.kcfgc
)

kde4_add_executable(colibri ${colibri_SRCS})

target_link_libraries(colibri
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KPARTS_LIBS}
    ${KDE4_PLASMA_LIBS}
)

install(TARGETS colibri ${INSTALL_TARGETS_DEFAULT_ARGS})

=== kcm/CMakeLists.txt ===
set(kcm_colibri_SRCS
    alignmentselector.cpp
    controlmodule.cpp
)

kde4_add_ui_files(kcm_colibri_SRCS
    controlmodule.ui
)

kde4_add_kcfg_files(kcm_colibri_SRCS
    ../app/config.kcfgc
)

kde4_add_plugin(kcm_colibri ${kcm_colibri_SRCS})
target_link_libraries(kcm_colibri
    ${KDE4_KDEUI_LIBS}
    ${KDE4_PLASMA_LIBS}
)

install(TARGETS kcm_colibri
    DESTINATION ${PLUGIN_INSTALL_DIR}
)

install(FILES colibri.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
)

=== debian/changelog ===
colibri (0.1.1-0ubuntu2) lucid; urgency=low

  * Install dbus service file with a prefix so it doesn't conflict with
    notification-daemon
  * Provide notification-daemon

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Apr 2010 14:43:48 +0100

colibri (0.1.1-0ubuntu1) lucid; urgency=low

  * Initial release

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 17 Dec 2009 00:56:40 +0100

=== debian/control ===
Source: colibri
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Alessandro Ghersi <alessandro-ghersi@kubuntu.org>
Build-Depends: debhelper (>= 7.4.13), kdelibs5-dev, libxext-dev, pkg-kde-tools (>= 0.5.3)
Standards-Version: 3.8.4
Homepage: http://gitorious.org/colibri

Package: colibri
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libnotify-bin
Provides: notification-daemon
Description: provides an alternative to KDE 4 Plasma notifications
 colibri notifications look lighter and are completely passive: they do
 not provide any buttons. You may or may not like this.
 Since they are completely passive, they smoothly fade away when you
 mouse over them, allowing you to interact with any window behind them.
 They also do not stack each others: if multiple notifications happen,
 they will be shown one at a time.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with kde $@

override_dh_install:
	dh_install
	mv debian/colibri/usr/share/dbus-1/services/org.freedesktop.Notifications.service debian/colibri/usr/share/dbus-1/services/colibri-org.freedesktop.Notifications.service

## colibri 0.2.1

=== CMakeLists.txt ===
project(colibri)
cmake_minimum_required(VERSION 2.6)
set(PROJECT_VERSION "0.2.0")

set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
add_custom_target(dist
    COMMAND git archive --prefix=${ARCHIVE_NAME}/ HEAD
    | bzip2 > ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
)

add_custom_target(distcheck
    COMMAND cd ${CMAKE_BINARY_DIR}
    && rm -rf ${ARCHIVE_NAME}
    && tar xf ${ARCHIVE_NAME}.tar.bz2
    && mkdir ${ARCHIVE_NAME}/build
    && cd ${ARCHIVE_NAME}/build
    && cmake -DCMAKE_INSTALL_PREFIX=../install ..
    && make
    && make install
    )
add_dependencies(distcheck dist)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

find_package(KDE4 4.4 REQUIRED)
include (KDE4Defaults)

include_directories(${KDE4_INCLUDES} ${QT_INCLUDES})

add_subdirectory(app)
add_subdirectory(kcm)
add_subdirectory(po)

=== app/CMakeLists.txt ===
# for dbus_add_activation_service
include(PkgConfigGetVar)

set(colibri_SRCS
    label.cpp
    main.cpp
    notificationmanager.cpp
    notificationwidget.cpp
)

qt4_add_dbus_adaptor(colibri_SRCS org.freedesktop.Notifications.xml
    notificationmanager.h Colibri::NotificationManager)

kde4_add_kcfg_files(colibri_SRCS
    config.kcfgc
)

kde4_add_executable(colibri ${colibri_SRCS})

target_link_libraries(colibri
    ${KDE4_KDEUI_LIBS}
    ${KDE4_PLASMA_LIBS}
    ${X11_Xext_LIB}
    ${X11_X11_LIB}
)

install(TARGETS colibri ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES colibri_autostart.desktop
    DESTINATION ${AUTOSTART_INSTALL_DIR}
)

=== po/CMakeLists.txt ===
FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)

IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
    MESSAGE(
"------
NOTE: msgfmt not found. Translations will *not* be installed
------")
ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)

    SET(catalogname colibri)

    ADD_CUSTOM_TARGET(translations ALL)

    FILE(GLOB PO_FILES *.po)

    FOREACH(_poFile ${PO_FILES})
        GET_FILENAME_COMPONENT(_poFileName ${_poFile} NAME)
        STRING(REGEX REPLACE "^${catalogname}_?" "" _langCode ${_poFileName} )
        STRING(REGEX REPLACE "\\.po$" "" _langCode ${_langCode} )

        IF( _langCode )
            GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
            SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)

            ADD_CUSTOM_COMMAND(TARGET translations
                COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
                DEPENDS ${_poFile})
            INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_langCode}/LC_MESSAGES/ RENAME ${catalogname}.mo)
        ENDIF( _langCode )

    ENDFOREACH(_poFile ${PO_FILES})

ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== debian/changelog ===
colibri (0.2.1-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.1, no changes needed.
  * Enable parallel building.
  * Point the Homepage field to kde-apps.org.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 10 Aug 2010 22:45:56 +0200

colibri (0.1.1-0ubuntu3) maverick; urgency=low

  * Add cmake to build-dependencies as kdelibs5-dev no longer depends on it.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 19 May 2010 02:14:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,13 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Alessandro Ghersi <alessandro-ghersi@kubuntu.org>
-Build-Depends: debhelper (>= 7.4.13), kdelibs5-dev, libxext-dev, pkg-kde-tools (>= 0.5.3)
-Standards-Version: 3.8.4
-Homepage: http://gitorious.org/colibri
+Build-Depends: debhelper (>= 7.4.13),
+               pkg-kde-tools (>= 0.5.3),
+               cmake,
+               kdelibs5-dev,
+               libxext-dev
+Standards-Version: 3.9.1
+Homepage: http://kde-apps.org/content/show.php/Colibri?content=117147
 
 Package: colibri
 Architecture: any

## colibri 0.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(colibri)
 cmake_minimum_required(VERSION 2.6)
-set(PROJECT_VERSION "0.2.0")
+set(PROJECT_VERSION "0.2.2")
 
 set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
 add_custom_target(dist

=== debian/changelog ===
colibri (0.2.2-0ubuntu1) precise; urgency=low

  * New upstream release.
  * Drop dependency on libnotify-bin.
  * Switch to debhelper compat level v9.
    - Exports build flags.
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Add a watch file.
  * Install upstream README and NEWS files.

 -- Felix Geyer <debfx@ubuntu.com>  Thu, 12 Jan 2012 22:52:33 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Alessandro Ghersi <alessandro-ghersi@kubuntu.org>
-Build-Depends: debhelper (>= 7.4.13),
+Build-Depends: debhelper (>= 8.9.0~),
                pkg-kde-tools (>= 0.5.3),
                cmake,
                kdelibs5-dev,
                libxext-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://kde-apps.org/content/show.php/Colibri?content=117147
 
 Package: colibri
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libnotify-bin
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: notification-daemon
 Description: provides an alternative to KDE 4 Plasma notifications
  colibri notifications look lighter and are completely passive: they do

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with kde

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=3
http://kde-apps.org/content/download.php?content=117147&id=1 \
  /CONTENT/content-files/117147-colibri-([\d\.]+)\.tar\.[a-z\d]{2,3}.*

## colibri 0.3.0

=== CMakeLists.txt ===
project(colibri)
cmake_minimum_required(VERSION 2.6)
set(COLIBRI_VERSION "0.3.0")

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

find_package(KDE4 4.4 REQUIRED)
include (KDE4Defaults)

configure_file(buildconfig.h.in ${CMAKE_BINARY_DIR}/buildconfig.h @ONLY)

include_directories(
    ${KDE4_INCLUDES}
    ${QT_INCLUDES}
    ${CMAKE_BINARY_DIR}
    )

add_subdirectory(app)
add_subdirectory(kcm)

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== app/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 include(PkgConfigGetVar)
 
 set(colibri_SRCS
-    label.cpp
+    hlayout.cpp
     main.cpp
     notificationmanager.cpp
     notificationwidget.cpp

=== kcm/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,10 @@
 
 kde4_add_kcfg_files(kcm_colibri_SRCS
     ../app/config.kcfgc
+)
+
+include_directories(
+    ${CMAKE_CURRENT_SOURCE_DIR}/../app
 )
 
 kde4_add_plugin(kcm_colibri ${kcm_colibri_SRCS})

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(pt)
add_subdirectory(pt_BR)
add_subdirectory(uk)
add_subdirectory(fi)
add_subdirectory(sl)
add_subdirectory(et)
add_subdirectory(ru)
add_subdirectory(de)
add_subdirectory(nl)
add_subdirectory(cs)
add_subdirectory(sk)
add_subdirectory(fr)
add_subdirectory(es)
add_subdirectory(mr)
add_subdirectory(tr)
add_subdirectory(sv)
add_subdirectory(da)
add_subdirectory(it)

=== debian/changelog ===
colibri (0.3.0-2ubuntu1) saucy; urgency=low

  * Sync package from Debian.
  * Add colibri as a transitional package.
    - Pass --destdir=debian/kde-notification-colibri to dh_auto_install.

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 29 May 2013 22:42:15 +0200

colibri (0.3.0-2) unstable; urgency=low

  * Team upload.
  * [1224586] Add Vcs control fields.
  * [fc1281e] Switch to debhelper compat level v9 which exports build flags.
  * [53aa6c9] Enable parallel building.
  * [78c5044] Append -Wl,--as-needed to LDFLAGS.
  * [7b1e1cf] Remove unnecessary build-depends.
  * [b7ef1d3] Use the pkg-kde-tools dh helper.
  * [dc05437] Clarify the GPL version in debian/copyright.
  * [c0111c5] Bump Standards-Version to 3.9.4, no changes needed.

 -- Felix Geyer <fgeyer@debian.org>  Wed, 29 May 2013 22:40:05 +0200

colibri (0.3.0-1) unstable; urgency=low

  * [f316f48] ship upstream changelog
  * [76ade96] add watch for lintian cleanliness
  * [47a9bd8] Imported Upstream version 0.3.0
  * [afb574a] Fix debian/watch.
    Thanks to Bart Martens

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 15 May 2013 17:24:05 +0530

colibri (0.2.2-1) unstable; urgency=low

  * Initial release. (Closes: #651090)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 17 Dec 2011 07:44:49 +0530

=== debian/control ===
Source: colibri
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Ritesh Raj Sarraf <rrs@debian.org>
Build-Depends: debhelper (>= 9), pkg-kde-tools, cmake, kdelibs5-dev, libx11-dev, libxext-dev
Standards-Version: 3.9.4
Homepage: http://kde-apps.org/content/show.php?content=117147
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/colibri.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/colibri.git

Package: kde-notification-colibri
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: colibri (<< 0.3.0)
Replaces: colibri (<< 0.3.0)
Description: passive notification system for kde4
 colibri is a passive notification system for KDE4 desktop
 .
 Colibri notifications look lighter and are completely passive:
 they do not provide any buttons. You may or may not like this.
 Since they are completely passive, they smoothly fade away when
 you mouse over them, allowing you to interact with any window behind them.
 .
 They also do not stack each others: if multiple notifications happen,
 they will be shown one at a time.

Package: colibri
Architecture: all
Section: oldlibs
Depends: ${misc:Depends}, kde-notification-colibri
Description: transitional package for kde-notification-colibri
 This is a transitional package for kde-notification-colibri to ensure that
 upgrades work correctly.
 It can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# export DH_VERBOSE=1
export DH_OPTIONS

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --parallel --with kde

override_dh_auto_install:
	dh_auto_install --destdir=debian/kde-notification-colibri

override_dh_installchangelogs:
	dh_installchangelogs -pkde-notification-colibri NEWS
	dh_installchangelogs --remaining-packages

=== debian/watch ===
version=3
http://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=kdeapps/117147 .*=117147-colibri-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
